Package org.eclipse.emf.cdo.common

## Enum CDOCommonRepository.ListOrdering

- java.lang.Object
- - java.lang.Enum<CDOCommonRepository.ListOrdering>
  - - org.eclipse.emf.cdo.common.CDOCommonRepository.ListOrdering

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOCommonRepository.ListOrdering>`
  Enclosing interface:
    CDOCommonRepository

      public static enum CDOCommonRepository.ListOrdering
      extends java.lang.Enum<CDOCommonRepository.ListOrdering>

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BY_ANNOTATED_ECORE` |
    `BY_ECORE` |
    `ORDERED` |
    `UNORDERED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `isOrdered​(EReference reference)` |
    `static CDOCommonRepository.ListOrdering` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDOCommonRepository.ListOrdering[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORDERED

          public static final CDOCommonRepository.ListOrdering ORDERED

    - #### UNORDERED

          public static final CDOCommonRepository.ListOrdering UNORDERED

    - #### BY_ECORE

          public static final CDOCommonRepository.ListOrdering BY_ECORE

    - #### BY_ANNOTATED_ECORE

          public static final CDOCommonRepository.ListOrdering BY_ANNOTATED_ECORE

  - ### Method Detail

    - #### values

          public static CDOCommonRepository.ListOrdering[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOCommonRepository.ListOrdering c : CDOCommonRepository.ListOrdering.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOCommonRepository.ListOrdering valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isOrdered

          public abstract boolean isOrdered​(EReference reference)